{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":538,"path":"api-reference/rest-apis/resource-inventory-api.md","title":"Resource Inventory Open API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Resource Inventory Open API\n\nThe Resource Inventory Open API provides endpoints to create, retrieve, and delete resources.\n\nUse this API to manage resources in the following tables.\n\n-   Cable \\[cmdb\\_ci\\_cable\\]\n-   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   IP Address \\[cmdb\\_ci\\_ip\\_address\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Strand \\[cmdb\\_ci\\_strand\\]\n-   Topology \\[cmdb\\_ci\\_topology\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n-   Child tables that extend any of the following tables:\n    -   Cable \\[cmdb\\_ci\\_cable\\]\n    -   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n    -   Strand \\[cmdb\\_ci\\_strand\\]\n\nThis API is included in the Network Inventory Core application, which is available on the ServiceNow Store.\n\nThis API is provided within the `sn_ni_core` namespace.\n\nThe calling user must have the sn\\_ni\\_core.inventory\\_integrator role.\n\nThis API can be extended to make customizations around required parameters, request body validation, and field mappings. For more information, see the [Resource Inventory Open API Developer Guide](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/developer-guides/resource-inventory-dev-guide.md).\n\nThe Resource Inventory Open API is a ServiceNow® implementation of the TM Forum Resource Inventory API REST specification. This implementation is based on the [TMF639 Resource Inventory API User Guide v4.0.1](https://www.tmforum.org/resources/standard/tmf639-resource-inventory-api-user-guide-v4-0/), July 2020.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Resource Inventory Open API - DELETE /sn\\_ni\\_core/resource/\\{id\\}\n\nDeletes a specified resource record.\n\n### URL format\n\nDefault URL: `/api/sn_ni_core/resource/{id}`\n\n### Supported request parameters\n\n<table id=\"table_tjw_q3s_g5b\" class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the resource. Located in one of the following tables depending on the type of resource.-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n\n**Note:** Resources in the IP Address \\[cmdb\\_ci\\_ip\\_address\\] table can't be deleted using this API.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|215|Request successfully received for processing. The request will be completed asynchronously.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|403|Forbidden. Resource deletion failed. The resource might be required by its related resources.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON\\)\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### cURL request\n\nThis example deletes a resource.\n\n```\ncurl \"https://instance.service-now.com/api/sn_ni_core/resource/54ada05e875c15109a9c0f65dabb3586\" \\\n--request DELETE \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n\n```\n\nResponse body.\n\n```\n\"\"\n```\n\n## Resource Inventory Open API - GET /sn\\_ni\\_core/resource\n\nRetrieves a list of all resource records.\n\n### URL format\n\nDefault URL: `/api/sn_ni_core/resource`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n@type\n\n</td><td>\n\nRequired. Table name of the type of resource to retrieve. You can only retrieve one type of resource per API call. Valid values:\n\n-   `cmdb_ci_cable` \\(Cable\\)\n-   `cmdb_ci_interface_card` \\(Interface Card\\)\n-   `cmdb_ci_ip_address` \\(IP Address\\)\n-   `cmdb_ci_ni_logical_path` \\(Logical Connection\\)\n-   `cmdb_ci_ni_interface` \\(Network Interface\\)\n-   `cmdb_ci_ni_site` \\(Network Site\\)\n-   `cmdb_ci_ni_physical_link` \\(Physical Connection\\)\n-   `cmdb_ci_strand` \\(Strand\\)\n-   `cmdb_ci_topology` \\(Topology\\)\n-   Name of a table specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, or name of a table that extends the specified tables.\n-   Name of a table that extends Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n\n Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription to use to filter resources. Only resources with the specified description are returned in the response. Data type: String\n\n</td></tr><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored. Valid values:\n\n-   description\n-   href\n-   id\n-   name\n-   note\n-   place\n-   relatedParty\n-   resourceCharacteristic\n-   resourceRelationship\n-   resourceSpecification\n-   startOperatingDate\n\nData type: String\n\nDefault: Returns all fields.\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **offset** parameter to paginate record retrieval. Default: 20\n\n Data type: Number\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName to use to filter resources. Only resources with the specified name are returned in the response.Data type: String\n\n</td></tr><tr id=\"tmf-offset\"><td>\n\noffset\n\n</td><td>\n\nStarting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.Default: 0\n\n Data type: Number\n\n</td></tr><tr><td>\n\nresourceSpecification.id\n\n</td><td>\n\nResource specification sys\\_id to use to filter resources. The sys\\_id must be from a model in one of the following tables.-   Equipment Holder Models \\[sn\\_ni\\_core\\_equipment\\_holder\\_product\\_model\\]\n-   Equipment Models \\[sn\\_ni\\_core\\_equipment\\_product\\_model\\]\n-   Interface Card Models \\[sn\\_ni\\_core\\_interface\\_card\\_product\\_model\\]\n-   Logical Connection Models \\[sn\\_ni\\_core\\_logical\\_connection\\_product\\_model\\]\n-   Network Interface Models \\[sn\\_ni\\_core\\_network\\_interface\\_product\\_model\\]\n-   Physical Connection Models \\[sn\\_ni\\_core\\_physical\\_connection\\_product\\_model\\]\n\nOnly resources with a model matching the specified sys\\_id are returned in the response.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n\n<table id=\"table_lpj_dh1_vxb\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nContent-Range\n\n</td><td>\n\nRange of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the **Content-Range** header is `items 3-5`.\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td>\n\nData format of the response body. Only supports **application/json**.\n\n</td></tr><tr><td>\n\nLink\n\n</td><td>\n\nContains the following links to navigate through query results.-   first\n-   last\n-   next\n-   previous\n\n</td></tr><tr><td>\n\nX-Total-Count\n\n</td><td>\n\nFor paginated queries, this header specifies the total number of records available on the server.**Note:** If the total number of records is more than 100,000 this header always returns 100,000.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|206|Partial content. The request was successfully processed and returned a partial range of content specified by a paginated call.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n\n### Response body parameters \\(JSON\\)\n\n<table id=\"table_okb_1rw_f5b\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"type-entry\">\n\n@type\n\n</td><td id=\"type-descr-entry\">\n\nType of resource.Valid values:\n\n-   `cmdb_ci_cable` \\(Cable\\)\n-   `cmdb_ci_interface_card` \\(Interface Card\\)\n-   `cmdb_ci_ip_address` \\(IP Address\\)\n-   `cmdb_ci_ni_logical_path` \\(Logical Connection\\)\n-   `cmdb_ci_ni_interface` \\(Network Interface\\)\n-   `cmdb_ci_ni_site` \\(Network Site\\)\n-   `cmdb_ci_ni_physical_link` \\(Physical Connection\\)\n-   `cmdb_ci_strand` \\(Strand\\)\n-   `cmdb_ci_topology` \\(Topology\\)\n-   Name of a table specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, or name of a table that extends the specified tables.\n-   Name of a table that extends Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n\nData type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the resource.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the resource record.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the resource. Located in one of the following tables depending on the type of resource.-   Cable \\[cmdb\\_ci\\_cable\\]\n-   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   IP Address \\[cmdb\\_ci\\_ip\\_address\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Strand \\[cmdb\\_ci\\_strand\\]\n-   Topology \\[cmdb\\_ci\\_topology\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n-   Child tables that extend any of the following tables:\n    -   Cable \\[cmdb\\_ci\\_cable\\]\n    -   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n    -   Strand \\[cmdb\\_ci\\_strand\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the resource.\n\nData type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes about the resource. Data type: Array of Objects\n\n```\n\"note\": [\n   {\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nThe note text.\n\nData type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nNetwork site for the resource.\n\nThis parameter is not supported for Network Site, Physical Connection, or Logical Connection resources.\n\nData type: Object\n\n```\n\"place\": {\n   \"@referredType\": \"String\",\n   \"href\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.@referredType\n\n</td><td>\n\nType of place. This value is always `GeographicAddress`.Data type: String\n\n</td></tr><tr><td>\n\nplace.href\n\n</td><td>\n\nRelative link to the place record.Data type: String\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id of the place record.\n\nData type: String\n\nTable: Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n\n</td></tr><tr><td id=\"related-party-parm\">\n\nrelatedParty\n\n</td><td>\n\nDetails about contacts for the resource.\n\nData type: Array of Objects\n\n```\n\"relatedParty\": [\n   {\n      \"@referredType\": \"String\",\n      \"href\": \"String\",\n      \"id\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party. Located in the in the **Type** field.Data type: String\n\nTable: In the type field of Group \\[sys\\_user\\_group\\] table.\n\n</td></tr><tr><td>\n\nrelatedParty.href\n\n</td><td>\n\nRelative link to the related party record.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the related party record.\n\nData type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nRole of the related party. Data type: String\n\nTable: In the Group type field of the Teams \\[cmdb\\_rel\\_team\\] table.\n\n</td></tr><tr><td>\n\nresourceCharacteristic\n\n</td><td>\n\nList of characteristics of the resource. The following resource types require specific resource characteristics. -   For Physical Connection and Logical Connection resources, a `Port A` or `Port Z` characteristic is required. If the Lifecycle Stage Status of the resource is In Use, both `Port A` and `Port Z` are required.\n-   For Equipment Holder resources, a `Container Type` characteristic is required.\n\nData type: Array of Objects\n\n```\n\"resourceCharacteristic\": [\n   {\n      \"name\": \"String\",\n      \"value\": \"String\",\n      \"valueType\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nresourceCharacteristic.name\n\n</td><td>\n\nField name from the resource table specified by the **@type** parameter. You can't use the fields model\\_id, name, network\\_site, operation\\_notes, operational\\_status, short\\_description, start\\_date, or any sys\\_ prefixed fields such as sys\\_id.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceCharacteristic.value\n\n</td><td>\n\nThe value of the characteristic.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceCharacteristic.valueType\n\n</td><td>\n\nType of value.Valid values:\n\n-   boolean\n-   datetime\n-   float\n-   integer\n-   ph\\_number\n-   reference\n-   string\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship\n\n</td><td>\n\nList of related resources. The following resource types require specific related resources. -   For Interface Card resources, a relationship to an Equipment Holder resource where Container Type is Slot or Sub Slot is required.\n-   For Network Interface resources, a relationship to an Equipment or Interface Card resource is required.\n-   For Equipment Holder resources where Container Type is Slot or Sub Slot, a relationship to an Equipment or Interface Card resource is required.\n\nData type: Array\n\n```\n\"resourceRelationship\": [\n  {\n    \"relationshipType\": \"String\",\n    \"resource\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresourceRelationship.relationshipType\n\n</td><td>\n\nType of relationship between the two resources in the format `[this resource descriptor]::[related resource descriptor]`. For example, `Contains::Contained by` indicates that the related resource is the child of this resource.\n\nValid values for the descriptors are located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table in the **Parent descriptor** and **Child descriptor** columns.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship.resource\n\n</td><td>\n\nDetails about the related resource. The related resource must be one of the following resource types.\n\n-   Cable\n-   Equipment\n-   Equipment Holder\n-   Interface Card\n-   Logical Connection\n-   Network Interface\n-   Network Site\n-   Physical Connection\n-   Strand\n-   Topology\n\nData type: Object\n\n```\n\"resource\": {\n   \"id\": \"String\",\n   \"href\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresourceRelationship.resource.id\n\n</td><td>\n\nSys\\_id of the related resource. Located in one of the following tables depending on the type of related resource.\n\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship.resource.href\n\n</td><td>\n\nRelative link to the related resource record.Data type: String\n\n</td></tr><tr><td>\n\nresourceSpecification\n\n</td><td>\n\nResource specification. Data type: Object\n\n```\n\"resourceSpecification\": {\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresourceSpecification.id\n\n</td><td>\n\nSys\\_id of the associated model for the resource. Located in one of the following tables depending on the type of model.\n\n-   Cable Models \\[sn\\_ent\\_cable\\_model\\]\n-   Equipment Holder Models \\[sn\\_ent\\_nw\\_holder\\_model\\]\n-   Equipment Models \\[sn\\_ent\\_nw\\_equipment\\_model\\]\n-   Interface Card Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Logical Connection Models \\[sn\\_ent\\_logical\\_nw\\_connection\\_model\\]\n-   Network Interface Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Physical Connection Models \\[sn\\_ent\\_physical\\_nw\\_connection\\_model\\]\n-   Strand Models \\[sn\\_ent\\_strand\\_model\\]\n-   Topology Models \\[sn\\_ent\\_network\\_topology\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nstartOperatingDate\n\n</td><td>\n\nDate and time that the resource first started operating.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example retrieves the **name**, **id**, and **href** fields for the first five Network Site resource records.\n\n```\ncurl \"https://instance.service-now.com/api/sn_ni_core/resource?@type=cmdb_ci_ni_site&fields=name%2Cid%2Chref&limit=5\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n[\n   {\n      \"name\": \"DALLAS TX CO/HUB\",\n      \"id\": \"c23683c54051c910f8772175cacd725c\",\n      \"href\": \"/api/sn_ni_core/resource/c23683c54051c910f8772175cacd725c\"\n   },\n   {\n      \"name\": \"PFP LOC F-800\",\n      \"id\": \"0ac19bc54051c910f8772175cacd724b\",\n      \"href\": \"/api/sn_ni_core/resource/0ac19bc54051c910f8772175cacd724b\"\n   },\n   {\n      \"name\": \"FIBER SERVICE TERMINAL 003\",\n      \"id\": \"d0541fcd4051c910f8772175cacd72c8\",\n      \"href\": \"/api/sn_ni_core/resource/d0541fcd4051c910f8772175cacd72c8\"\n   },\n   {\n      \"name\": \"270 RUMWOOD MAIN\",\n      \"id\": \"e6f6df8d4051c910f8772175cacd72b2\",\n      \"href\": \"/api/sn_ni_core/resource/e6f6df8d4051c910f8772175cacd72b2\"\n   },\n   {\n      \"name\": \"3620 CHESTER ROMI48073\",\n      \"id\": \"917dd8f6870e851079c40f2d0ebb353d\",\n      \"href\": \"/api/sn_ni_core/resource/917dd8f6870e851079c40f2d0ebb353d\"\n   }\n]\n```\n\n## Resource Inventory Open API - GET /sn\\_ni\\_core/resource/\\{id\\}\n\nRetrieves a specified resource record.\n\n### URL format\n\nDefault URL: `/api/sn_ni_core/resource/{id}`\n\n### Supported request parameters\n\n<table id=\"table_tjw_q3s_g5b\" class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the resource. Located in one of the following tables depending on the type of resource.-   Cable \\[cmdb\\_ci\\_cable\\]\n-   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   IP Address \\[cmdb\\_ci\\_ip\\_address\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Strand \\[cmdb\\_ci\\_strand\\]\n-   Topology \\[cmdb\\_ci\\_topology\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n-   Child tables that extend any of the following tables:\n    -   Cable \\[cmdb\\_ci\\_cable\\]\n    -   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n    -   Strand \\[cmdb\\_ci\\_strand\\]\n\nData type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored. Valid values:\n\n-   description\n-   href\n-   id\n-   name\n-   note\n-   place\n-   relatedParty\n-   resourceCharacteristic\n-   resourceRelationship\n-   resourceSpecification\n-   startOperatingDate\n\nData type: String\n\nDefault: Returns all fields.\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON\\)\n\n<table id=\"table_okb_1rw_f5b\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"type-entry\">\n\n@type\n\n</td><td id=\"type-descr-entry\">\n\nType of resource.Valid values:\n\n-   `cmdb_ci_cable` \\(Cable\\)\n-   `cmdb_ci_interface_card` \\(Interface Card\\)\n-   `cmdb_ci_ip_address` \\(IP Address\\)\n-   `cmdb_ci_ni_logical_path` \\(Logical Connection\\)\n-   `cmdb_ci_ni_interface` \\(Network Interface\\)\n-   `cmdb_ci_ni_site` \\(Network Site\\)\n-   `cmdb_ci_ni_physical_link` \\(Physical Connection\\)\n-   `cmdb_ci_strand` \\(Strand\\)\n-   `cmdb_ci_topology` \\(Topology\\)\n-   Name of a table specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, or name of a table that extends the specified tables.\n-   Name of a table that extends Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n\nData type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the resource.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the resource record.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the resource. Located in one of the following tables depending on the type of resource.-   Cable \\[cmdb\\_ci\\_cable\\]\n-   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   IP Address \\[cmdb\\_ci\\_ip\\_address\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Strand \\[cmdb\\_ci\\_strand\\]\n-   Topology \\[cmdb\\_ci\\_topology\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n-   Child tables that extend any of the following tables:\n    -   Cable \\[cmdb\\_ci\\_cable\\]\n    -   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n    -   Strand \\[cmdb\\_ci\\_strand\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the resource.\n\nData type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes about the resource. Data type: Array of Objects\n\n```\n\"note\": [\n   {\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nThe note text.\n\nData type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nNetwork site for the resource.\n\nThis parameter is not supported for Network Site, Physical Connection, or Logical Connection resources.\n\nData type: Object\n\n```\n\"place\": {\n   \"@referredType\": \"String\",\n   \"href\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.@referredType\n\n</td><td>\n\nType of place. This value is always `GeographicAddress`.Data type: String\n\n</td></tr><tr><td>\n\nplace.href\n\n</td><td>\n\nRelative link to the place record.Data type: String\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id of the place record.\n\nData type: String\n\nTable: Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n\n</td></tr><tr><td id=\"related-party-parm\">\n\nrelatedParty\n\n</td><td>\n\nDetails about contacts for the resource.\n\nData type: Array of Objects\n\n```\n\"relatedParty\": [\n   {\n      \"@referredType\": \"String\",\n      \"href\": \"String\",\n      \"id\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party. Located in the in the **Type** field.Data type: String\n\nTable: In the type field of Group \\[sys\\_user\\_group\\] table.\n\n</td></tr><tr><td>\n\nrelatedParty.href\n\n</td><td>\n\nRelative link to the related party record.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the related party record.\n\nData type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nresourceCharacteristic\n\n</td><td>\n\nList of characteristics of the resource. The following resource types require specific resource characteristics. -   For Physical Connection and Logical Connection resources, a `Port A` or `Port Z` characteristic is required. If the Lifecycle Stage Status of the resource is In Use, both `Port A` and `Port Z` are required.\n-   For Equipment Holder resources, a `Container Type` characteristic is required.\n\nData type: Array of Objects\n\n```\n\"resourceCharacteristic\": [\n   {\n      \"name\": \"String\",\n      \"value\": \"String\",\n      \"valueType\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nresourceCharacteristic.name\n\n</td><td>\n\nField name from the resource table specified by the **@type** parameter. You can't use the fields model\\_id, name, network\\_site, operation\\_notes, operational\\_status, short\\_description, start\\_date, or any sys\\_ prefixed fields such as sys\\_id.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceCharacteristic.value\n\n</td><td>\n\nThe value of the characteristic.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceCharacteristic.valueType\n\n</td><td>\n\nType of value.Valid values:\n\n-   boolean\n-   datetime\n-   float\n-   integer\n-   ph\\_number\n-   reference\n-   string\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship\n\n</td><td>\n\nList of related resources. The following resource types require specific related resources. -   For Interface Card resources, a relationship to an Equipment Holder resource where Container Type is Slot or Sub Slot is required.\n-   For Network Interface resources, a relationship to an Equipment or Interface Card resource is required.\n-   For Equipment Holder resources where Container Type is Slot or Sub Slot, a relationship to an Equipment or Interface Card resource is required.\n\nData type: Array\n\n```\n\"resourceRelationship\": [\n  {\n    \"relationshipType\": \"String\",\n    \"resource\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresourceRelationship.relationshipType\n\n</td><td>\n\nType of relationship between the two resources in the format `[this resource descriptor]::[related resource descriptor]`. For example, `Contains::Contained by` indicates that the related resource is the child of this resource.\n\nValid values for the descriptors are located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table in the **Parent descriptor** and **Child descriptor** columns.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship.resource\n\n</td><td>\n\nDetails about the related resource. The related resource must be one of the following resource types.\n\n-   Cable\n-   Equipment\n-   Equipment Holder\n-   Interface Card\n-   Logical Connection\n-   Network Interface\n-   Network Site\n-   Physical Connection\n-   Strand\n-   Topology\n\nData type: Object\n\n```\n\"resource\": {\n   \"id\": \"String\",\n   \"href\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresourceRelationship.resource.id\n\n</td><td>\n\nSys\\_id of the related resource. Located in one of the following tables depending on the type of related resource.\n\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship.resource.href\n\n</td><td>\n\nRelative link to the related resource record.Data type: String\n\n</td></tr><tr><td>\n\nresourceSpecification\n\n</td><td>\n\nResource specification. Data type: Object\n\n```\n\"resourceSpecification\": {\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresourceSpecification.id\n\n</td><td>\n\nSys\\_id of the associated model for the resource. Located in one of the following tables depending on the type of model.\n\n-   Cable Models \\[sn\\_ent\\_cable\\_model\\]\n-   Equipment Holder Models \\[sn\\_ent\\_nw\\_holder\\_model\\]\n-   Equipment Models \\[sn\\_ent\\_nw\\_equipment\\_model\\]\n-   Interface Card Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Logical Connection Models \\[sn\\_ent\\_logical\\_nw\\_connection\\_model\\]\n-   Network Interface Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Physical Connection Models \\[sn\\_ent\\_physical\\_nw\\_connection\\_model\\]\n-   Strand Models \\[sn\\_ent\\_strand\\_model\\]\n-   Topology Models \\[sn\\_ent\\_network\\_topology\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nstartOperatingDate\n\n</td><td>\n\nDate and time that the resource first started operating.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example retrieves a specified resource record.\n\n```\ncurl \"https://instance.service-now.com/api/sn_ni_core/resource/915da8e140ddc910f8772175cacd72de\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n{\n   \"href\": \"/api/sn_ni_core/resource/915da8e140ddc910f8772175cacd72de\",\n   \"id\": \"915da8e140ddc910f8772175cacd72de\",\n   \"name\": \"DLLSTXMR/ESS7450/IOM-01/MDA-01/NI-01\",\n   \"place\": {\n      \"id\": \"c23683c54051c910f8772175cacd725c\",\n      \"href\": \"/api/now/table/cmdb_ci_ni_site/c23683c54051c910f8772175cacd725c\",\n      \"@referredType\": \"GeographicAddress\"\n   },\n   \"resourceCharacteristic\": [\n      {\n         \"name\": \"attested\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"availability\",\n         \"valueType\": \"string\",\n         \"value\": \"used\"\n      },\n      {\n         \"name\": \"cabled\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"can_print\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"connector_type\",\n         \"valueType\": \"string\",\n         \"value\": \"sc\"\n      },\n      {\n         \"name\": \"cost_cc\",\n         \"valueType\": \"string\",\n         \"value\": \"USD\"\n      },\n      {\n         \"name\": \"equipment_clli\",\n         \"valueType\": \"string\",\n         \"value\": \"DLLSTXESS01\"\n      },\n      {\n         \"name\": \"fault_count\",\n         \"valueType\": \"integer\",\n         \"value\": \"0\"\n      },\n      {\n         \"name\": \"install_status\",\n         \"valueType\": \"integer\",\n         \"value\": \"1\"\n      },\n      {\n         \"name\": \"life_cycle_stage\",\n         \"valueType\": \"reference\",\n         \"value\": \"Operational\"\n      },\n      {\n         \"name\": \"life_cycle_stage_status\",\n         \"valueType\": \"reference\",\n         \"value\": \"In Use\"\n      },\n      {\n         \"name\": \"manufacturer\",\n         \"valueType\": \"reference\",\n         \"value\": \"a2f6a4914055c910f8772175cacd723a\"\n      },\n      {\n         \"name\": \"monitor\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"network_domain\",\n         \"valueType\": \"string\",\n         \"value\": \"core\"\n      },\n      {\n         \"name\": \"ni_type\",\n         \"valueType\": \"reference\",\n         \"value\": \"646cf25fe42e0510f877e70ec9bcaca8\"\n      },\n      {\n         \"name\": \"port_bandwidth\",\n         \"valueType\": \"reference\",\n         \"value\": \"ff39ae92eb900110700ca73bc152286d\"\n      },\n      {\n         \"name\": \"replaceable\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"skip_sync\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"telco_equipment\",\n         \"valueType\": \"reference\",\n         \"value\": \"583e7b95405dc910f8772175cacd7292\"\n      },\n      {\n         \"name\": \"unverified\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"virtual\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      }\n   ],\n   \"resourceRelationship\": [\n      {\n         \"relationshipType\": \"Contained by::Contains\",\n         \"resource\": {\n            \"id\": \"81baac6140ddc910f8772175cacd728e\",\n            \"href\": \"/api/sn_ni_core/resource/81baac6140ddc910f8772175cacd728e\"\n         }\n      },\n      {\n         \"relationshipType\": \"Contained by::Contains\",\n         \"resource\": {\n            \"id\": \"bf624bc640194d10f8772175cacd7225\",\n            \"href\": \"/api/sn_ni_core/resource/bf624bc640194d10f8772175cacd7225\"\n         }\n      }\n   ],\n   \"resourceSpecification\": {\n      \"id\": \"980416b0874e8110d28eb259dabb356b\",\n      \"href\": \"/api/now/table/sn_ni_core_network_inventory_product_model/980416b0874e8110d28eb259dabb356b\",\n      \"@referredType\": \"NetworkInterfaceModel\"\n   },\n   \"@type\": \"cmdb_ci_ni_interface\"\n}\n```\n\n## Resource Inventory Open API - PATCH /sn\\_ni\\_core/resource/\\{id\\}\n\nUpdates a specified resource record.\n\n### URL format\n\nDefault URL: `/api/sn_ni_core/resource/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the resource. Located in one of the following tables depending on the type of resource.-   Cable \\[cmdb\\_ci\\_cable\\]\n-   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   IP Address \\[cmdb\\_ci\\_ip\\_address\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Strand \\[cmdb\\_ci\\_strand\\]\n-   Topology \\[cmdb\\_ci\\_topology\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n-   Child tables that extend any of the following tables:\n    -   Cable \\[cmdb\\_ci\\_cable\\]\n    -   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n    -   Strand \\[cmdb\\_ci\\_strand\\]\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"type-entry\">\n\n@type\n\n</td><td id=\"type-descr-entry\">\n\nType of resource.Valid values:\n\n-   `cmdb_ci_cable` \\(Cable\\)\n-   `cmdb_ci_interface_card` \\(Interface Card\\)\n-   `cmdb_ci_ip_address` \\(IP Address\\)\n-   `cmdb_ci_ni_logical_path` \\(Logical Connection\\)\n-   `cmdb_ci_ni_interface` \\(Network Interface\\)\n-   `cmdb_ci_ni_site` \\(Network Site\\)\n-   `cmdb_ci_ni_physical_link` \\(Physical Connection\\)\n-   `cmdb_ci_strand` \\(Strand\\)\n-   `cmdb_ci_topology` \\(Topology\\)\n-   Name of a table specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, or name of a table that extends the specified tables.\n-   Name of a table that extends Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n\nData type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the resource.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the resource record.Data type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the resource.\n\nData type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes about the resource. Data type: Array of Objects\n\n```\n\"note\": [\n   {\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td id=\"note-text-entry\">\n\nnote.text\n\n</td><td>\n\nRequired if the **note** parameter is used.The note text.\n\nData type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nNetwork site for the resource.\n\nThis parameter is not supported for Network Site, Physical Connection, or Logical Connection resources.\n\nData type: Object\n\n```\n\"place\": {\n   \"@referredType\": \"String\",\n   \"href\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.@referredType\n\n</td><td>\n\nType of place. This value is always `GeographicAddress`.Data type: String\n\n</td></tr><tr><td>\n\nplace.href\n\n</td><td>\n\nRelative link to the place record.Data type: String\n\n</td></tr><tr><td id=\"place-id-entry\">\n\nplace.id\n\n</td><td>\n\nRequired if the **place** parameter is used.Sys\\_id of the place record.\n\nData type: String\n\nTable: Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nDetails about contacts for the resource.\n\nData type: Array of Objects\n\n```\n\"relatedParty\": [\n   {\n      \"@referredType\": \"String\",\n      \"href\": \"String\",\n      \"id\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n **Note:** Removing relatedParty records from a resource is not supported by this endpoint. Records can be manually deleted from the Teams \\[cmdb\\_rel\\_team\\] table.\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party. Located in the in the **Type** field.Data type: String\n\nTable: In the type field of Group \\[sys\\_user\\_group\\] table.\n\n</td></tr><tr><td>\n\nrelatedParty.href\n\n</td><td>\n\nRelative link to the related party record.Data type: String\n\n</td></tr><tr><td id=\"rel-party-id-parm\">\n\nrelatedParty.id\n\n</td><td>\n\nRequired if the **relatedParty** parameter is used.Sys\\_id of the related party record.\n\nData type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nRole of the related party. Data type: String\n\nTable: In the Group type field of the Teams \\[cmdb\\_rel\\_team\\] table.\n\n</td></tr><tr><td>\n\nresourceCharacteristic\n\n</td><td>\n\nList of characteristics of the resource. The following resource types require specific resource characteristics. -   For Physical Connection and Logical Connection resources, a `Port A` or `Port Z` characteristic is required. If the Lifecycle Stage Status of the resource is In Use, both `Port A` and `Port Z` are required.\n-   For Equipment Holder resources, a `Container Type` characteristic is required.\n\nData type: Array of Objects\n\n```\n\"resourceCharacteristic\": [\n   {\n      \"name\": \"String\",\n      \"value\": \"String\",\n      \"valueType\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td id=\"res-char-name-parm\">\n\nresourceCharacteristic.name\n\n</td><td>\n\nRequired if the **resourceCharacteristic** parameter is used.Field name from the resource table specified by the **@type** parameter. You can't use the fields model\\_id, name, network\\_site, operation\\_notes, operational\\_status, short\\_description, start\\_date, or any sys\\_ prefixed fields such as sys\\_id.\n\nData type: String\n\n</td></tr><tr><td id=\"res-char-value-parm\">\n\nresourceCharacteristic.value\n\n</td><td>\n\nRequired if the **resourceCharacteristic** parameter is used.The value of the characteristic.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceCharacteristic.valueType\n\n</td><td>\n\nType of value.Valid values:\n\n-   boolean\n-   datetime\n-   float\n-   integer\n-   ph\\_number\n-   reference\n-   string\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship\n\n</td><td>\n\nList of related resources. The following resource types require specific related resources. -   For Interface Card resources, a relationship to an Equipment Holder resource where Container Type is Slot or Sub Slot is required.\n-   For Network Interface resources, a relationship to an Equipment or Interface Card resource is required.\n-   For Equipment Holder resources where Container Type is Slot or Sub Slot, a relationship to an Equipment or Interface Card resource is required.\n\nData type: Array\n\n```\n\"resourceRelationship\": [\n  {\n    \"relationshipType\": \"String\",\n    \"resource\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td id=\"rel-type-parm\">\n\nresourceRelationship.relationshipType\n\n</td><td>\n\nRequired if the **resourceRelationship** parameter is used.Type of relationship between the two resources in the format `[this resource descriptor]::[related resource descriptor]`. For example, `Contains::Contained by` indicates that the related resource is the child of this resource.\n\nValid values for the descriptors are located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table in the **Parent descriptor** and **Child descriptor** columns.\n\nData type: String\n\n</td></tr><tr><td id=\"rel-resource-parm\">\n\nresourceRelationship.resource\n\n</td><td>\n\nRequired if the **resourceRelationship** parameter is used.Details about the related resource. The related resource must be one of the following resource types.\n\n-   Cable\n-   Equipment\n-   Equipment Holder\n-   Interface Card\n-   Logical Connection\n-   Network Interface\n-   Network Site\n-   Physical Connection\n-   Strand\n-   Topology\n\nData type: Object\n\n```\n\"resource\": {\n   \"id\": \"String\",\n   \"href\": \"String\"\n}\n```\n\n</td></tr><tr><td id=\"rel-resource-id-parm\">\n\nresourceRelationship.resource.id\n\n</td><td>\n\nRequired if the **resourceRelationship** parameter is used.Sys\\_id of the related resource. Located in one of the following tables depending on the type of related resource.\n\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship.resource.href\n\n</td><td>\n\nRelative link to the related resource record.Data type: String\n\n</td></tr><tr><td>\n\nresourceSpecification\n\n</td><td>\n\nResource specification. Data type: Object\n\n```\n\"resourceSpecification\": {\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td id=\"res-spec-id-parm\">\n\nresourceSpecification.id\n\n</td><td>\n\nRequired if the **resourceSpecification** parameter is used.Sys\\_id of the associated model for the resource. Located in one of the following tables depending on the type of model.\n\n-   Cable Models \\[sn\\_ent\\_cable\\_model\\]\n-   Equipment Holder Models \\[sn\\_ent\\_nw\\_holder\\_model\\]\n-   Equipment Models \\[sn\\_ent\\_nw\\_equipment\\_model\\]\n-   Interface Card Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Logical Connection Models \\[sn\\_ent\\_logical\\_nw\\_connection\\_model\\]\n-   Network Interface Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Physical Connection Models \\[sn\\_ent\\_physical\\_nw\\_connection\\_model\\]\n-   Strand Models \\[sn\\_ent\\_strand\\_model\\]\n-   Topology Models \\[sn\\_ent\\_network\\_topology\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nstartOperatingDate\n\n</td><td>\n\nDate and time that the resource first started operating.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/merge-patch+json**.|\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Not found. The requested item wasn't found.|\n|415|The request body is in an unsupported format or the Content-Type request header is set incorrectly.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"d5923e138\">\n\n@type\n\n</td><td id=\"d5923e141\">\n\nType of resource.Valid values:\n\n-   `cmdb_ci_cable` \\(Cable\\)\n-   `cmdb_ci_interface_card` \\(Interface Card\\)\n-   `cmdb_ci_ip_address` \\(IP Address\\)\n-   `cmdb_ci_ni_logical_path` \\(Logical Connection\\)\n-   `cmdb_ci_ni_interface` \\(Network Interface\\)\n-   `cmdb_ci_ni_site` \\(Network Site\\)\n-   `cmdb_ci_ni_physical_link` \\(Physical Connection\\)\n-   `cmdb_ci_strand` \\(Strand\\)\n-   `cmdb_ci_topology` \\(Topology\\)\n-   Name of a table specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, or name of a table that extends the specified tables.\n-   Name of a table that extends Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n\nData type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the resource.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the resource record.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the resource. Located in one of the following tables depending on the type of resource.-   Cable \\[cmdb\\_ci\\_cable\\]\n-   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   IP Address \\[cmdb\\_ci\\_ip\\_address\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Strand \\[cmdb\\_ci\\_strand\\]\n-   Topology \\[cmdb\\_ci\\_topology\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n-   Child tables that extend any of the following tables:\n    -   Cable \\[cmdb\\_ci\\_cable\\]\n    -   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n    -   Strand \\[cmdb\\_ci\\_strand\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the resource.\n\nData type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes about the resource. Data type: Array of Objects\n\n```\n\"note\": [\n   {\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nThe note text.\n\nData type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nNetwork site for the resource.\n\nThis parameter is not supported for Network Site, Physical Connection, or Logical Connection resources.\n\nData type: Object\n\n```\n\"place\": {\n   \"@referredType\": \"String\",\n   \"href\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.@referredType\n\n</td><td>\n\nType of place. This value is always `GeographicAddress`.Data type: String\n\n</td></tr><tr><td>\n\nplace.href\n\n</td><td>\n\nRelative link to the place record.Data type: String\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id of the place record.\n\nData type: String\n\nTable: Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n\n</td></tr><tr><td id=\"related-party-parm\">\n\nrelatedParty\n\n</td><td>\n\nDetails about contacts for the resource.\n\nData type: Array of Objects\n\n```\n\"relatedParty\": [\n   {\n      \"@referredType\": \"String\",\n      \"href\": \"String\",\n      \"id\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party. Located in the in the **Type** field.Data type: String\n\nTable: In the type field of Group \\[sys\\_user\\_group\\] table.\n\n</td></tr><tr><td>\n\nrelatedParty.href\n\n</td><td>\n\nRelative link to the related party record.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the related party record.\n\nData type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nRole of the related party. Data type: String\n\nTable: In the Group type field of the Teams \\[cmdb\\_rel\\_team\\] table.\n\n</td></tr><tr><td>\n\nresourceCharacteristic\n\n</td><td>\n\nList of characteristics of the resource. The following resource types require specific resource characteristics. -   For Physical Connection and Logical Connection resources, a `Port A` or `Port Z` characteristic is required. If the Lifecycle Stage Status of the resource is In Use, both `Port A` and `Port Z` are required.\n-   For Equipment Holder resources, a `Container Type` characteristic is required.\n\nData type: Array of Objects\n\n```\n\"resourceCharacteristic\": [\n   {\n      \"name\": \"String\",\n      \"value\": \"String\",\n      \"valueType\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nresourceCharacteristic.name\n\n</td><td>\n\nField name from the resource table specified by the **@type** parameter. You can't use the fields model\\_id, name, network\\_site, operation\\_notes, operational\\_status, short\\_description, start\\_date, or any sys\\_ prefixed fields such as sys\\_id.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceCharacteristic.value\n\n</td><td>\n\nThe value of the characteristic.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceCharacteristic.valueType\n\n</td><td>\n\nType of value.Valid values:\n\n-   boolean\n-   datetime\n-   float\n-   integer\n-   ph\\_number\n-   reference\n-   string\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship\n\n</td><td>\n\nList of related resources. The following resource types require specific related resources. -   For Interface Card resources, a relationship to an Equipment Holder resource where Container Type is Slot or Sub Slot is required.\n-   For Network Interface resources, a relationship to an Equipment or Interface Card resource is required.\n-   For Equipment Holder resources where Container Type is Slot or Sub Slot, a relationship to an Equipment or Interface Card resource is required.\n\nData type: Array\n\n```\n\"resourceRelationship\": [\n  {\n    \"relationshipType\": \"String\",\n    \"resource\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresourceRelationship.relationshipType\n\n</td><td>\n\nType of relationship between the two resources in the format `[this resource descriptor]::[related resource descriptor]`. For example, `Contains::Contained by` indicates that the related resource is the child of this resource.\n\nValid values for the descriptors are located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table in the **Parent descriptor** and **Child descriptor** columns.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship.resource\n\n</td><td>\n\nDetails about the related resource. The related resource must be one of the following resource types.\n\n-   Cable\n-   Equipment\n-   Equipment Holder\n-   Interface Card\n-   Logical Connection\n-   Network Interface\n-   Network Site\n-   Physical Connection\n-   Strand\n-   Topology\n\nData type: Object\n\n```\n\"resource\": {\n   \"id\": \"String\",\n   \"href\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresourceRelationship.resource.id\n\n</td><td>\n\nSys\\_id of the related resource. Located in one of the following tables depending on the type of related resource.\n\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship.resource.href\n\n</td><td>\n\nRelative link to the related resource record.Data type: String\n\n</td></tr><tr><td>\n\nresourceSpecification\n\n</td><td>\n\nResource specification. Data type: Object\n\n```\n\"resourceSpecification\": {\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresourceSpecification.id\n\n</td><td>\n\nSys\\_id of the associated model for the resource. Located in one of the following tables depending on the type of model.\n\n-   Cable Models \\[sn\\_ent\\_cable\\_model\\]\n-   Equipment Holder Models \\[sn\\_ent\\_nw\\_holder\\_model\\]\n-   Equipment Models \\[sn\\_ent\\_nw\\_equipment\\_model\\]\n-   Interface Card Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Logical Connection Models \\[sn\\_ent\\_logical\\_nw\\_connection\\_model\\]\n-   Network Interface Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Physical Connection Models \\[sn\\_ent\\_physical\\_nw\\_connection\\_model\\]\n-   Strand Models \\[sn\\_ent\\_strand\\_model\\]\n-   Topology Models \\[sn\\_ent\\_network\\_topology\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nstartOperatingDate\n\n</td><td>\n\nDate and time that the resource first started operating.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example updates the name of a resource.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_ni_core/resource/583e7b95405dc910f8772175cacd7292\" \\\n--request PATCH \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type: application/merge-patch+json\" \\\n--user 'username':'password' \\\n--data '{\"name\": \"new name\"}'\n```\n\nResponse body.\n\n```\n{\n  \"href\": \"/api/sn_ni_core/resource/583e7b95405dc910f8772175cacd7292\",\n  \"id\": \"583e7b95405dc910f8772175cacd7292\",\n  \"name\": \"new name\",\n  \"note\": [\n    {\n      \"text\": \"TECHNICIAN SCHECULED TO BE ONSITE THE WEEK OF APRIL 4, 2022.\"\n    }\n  ],\n  \"place\": {\n    \"id\": \"c23683c54051c910f8772175cacd725c\",\n    \"href\": \"/api/now/table/cmdb_ci_ni_site/c23683c54051c910f8772175cacd725c\",\n    \"@referredType\": \"GeographicAddress\"\n  },\n  \"resourceCharacteristic\": [\n    {\n      \"name\": \"alarmable\",\n      \"valueType\": \"boolean\",\n      \"value\": \"true\"\n    },\n    {\n      \"name\": \"attested\",\n      \"valueType\": \"boolean\",\n      \"value\": \"false\"\n    },\n    {\n      \"name\": \"can_hub\",\n      \"valueType\": \"boolean\",\n      \"value\": \"false\"\n    },\n    {\n      \"name\": \"can_partitionvlans\",\n      \"valueType\": \"boolean\",\n      \"value\": \"false\"\n    },\n    {\n      \"name\": \"can_print\",\n      \"valueType\": \"boolean\",\n      \"value\": \"false\"\n    },\n    {\n      \"name\": \"can_route\",\n      \"valueType\": \"boolean\",\n      \"value\": \"false\"\n    },\n    {\n      \"name\": \"can_switch\",\n      \"valueType\": \"boolean\",\n      \"value\": \"false\"\n    },\n    {\n      \"name\": \"comments\",\n      \"valueType\": \"string\",\n      \"value\": \"ETHERNET SWITCH\"\n    },\n    {\n      \"name\": \"cost_cc\",\n      \"valueType\": \"string\",\n      \"value\": \"USD\"\n    },\n    {\n      \"name\": \"cpu_count\",\n      \"valueType\": \"integer\",\n      \"value\": \"1\"\n    },\n    {\n      \"name\": \"equipment_clli\",\n      \"valueType\": \"string\",\n      \"value\": \"DLLSTXESS01\"\n    },\n    {\n      \"name\": \"fault_count\",\n      \"valueType\": \"integer\",\n      \"value\": \"0\"\n    },\n    {\n      \"name\": \"firmware_manufacturer\",\n      \"valueType\": \"reference\",\n      \"value\": \"0c441abbc6112275000025157c651c89\"\n    },\n    {\n      \"name\": \"firmware_version\",\n      \"valueType\": \"string\",\n      \"value\": \"A09DX887\"\n    },\n    {\n      \"name\": \"hardware_status\",\n      \"valueType\": \"string\",\n      \"value\": \"installed\"\n    },\n    {\n      \"name\": \"install_status\",\n      \"valueType\": \"integer\",\n      \"value\": \"1\"\n    },\n    {\n      \"name\": \"internet_facing\",\n      \"valueType\": \"boolean\",\n      \"value\": \"true\"\n    },\n    {\n      \"name\": \"inventory_category\",\n      \"valueType\": \"string\",\n      \"value\": \"equipment\"\n    },\n    {\n      \"name\": \"last_service_date\",\n      \"valueType\": \"datetime\",\n      \"value\": \"2022-02-18T16:36:54.000Z\"\n    },\n    {\n      \"name\": \"life_cycle_stage\",\n      \"valueType\": \"reference\",\n      \"value\": \"Deploy\"\n    },\n    {\n      \"name\": \"life_cycle_stage_status\",\n      \"valueType\": \"reference\",\n      \"value\": \"Reserved\"\n    },\n    {\n      \"name\": \"managed_by\",\n      \"valueType\": \"reference\",\n      \"value\": \"46c9e158a9fe198101d44d0d22cb640d\"\n    },\n    {\n      \"name\": \"manufacturer\",\n      \"valueType\": \"reference\",\n      \"value\": \"b7e831bdc0a80169015ae101f3c4d6cd\"\n    },\n    {\n      \"name\": \"model_number\",\n      \"valueType\": \"string\",\n      \"value\": \"7450ESS-1\"\n    },\n    {\n      \"name\": \"monitor\",\n      \"valueType\": \"boolean\",\n      \"value\": \"false\"\n    },\n    {\n      \"name\": \"network_domain\",\n      \"valueType\": \"string\",\n      \"value\": \"core\"\n    },\n    {\n      \"name\": \"ni_function\",\n      \"valueType\": \"reference\",\n      \"value\": \"2d22153940990d10f8772175cacd728b\"\n    },\n    {\n      \"name\": \"ni_role\",\n      \"valueType\": \"reference\",\n      \"value\": \"c68e3f15405dc910f8772175cacd72f1\"\n    },\n    {\n      \"name\": \"ni_type\",\n      \"valueType\": \"reference\",\n      \"value\": \"3772e8d54015c910f8772175cacd721c\"\n    },\n    {\n      \"name\": \"ram\",\n      \"valueType\": \"integer\",\n      \"value\": \"3000\"\n    },\n    {\n      \"name\": \"replaceable\",\n      \"valueType\": \"boolean\",\n      \"value\": \"true\"\n    },\n    {\n      \"name\": \"serial_number\",\n      \"valueType\": \"string\",\n      \"value\": \"7894564568225\"\n    },\n    {\n      \"name\": \"skip_sync\",\n      \"valueType\": \"boolean\",\n      \"value\": \"false\"\n    },\n    {\n      \"name\": \"spare\",\n      \"valueType\": \"boolean\",\n      \"value\": \"true\"\n    },\n    {\n      \"name\": \"template_id\",\n      \"valueType\": \"reference\",\n      \"value\": \"49433535e5d28110f877657a33339131\"\n    },\n    {\n      \"name\": \"unit_position\",\n      \"valueType\": \"integer\",\n      \"value\": \"2\"\n    },\n    {\n      \"name\": \"unverified\",\n      \"valueType\": \"boolean\",\n      \"value\": \"false\"\n    }\n  ],\n  \"resourceRelationship\": [\n    {\n      \"relationshipType\": \"Contains::Contained by\",\n      \"resource\": {\n        \"id\": \"f5d1c429405dc910f8772175cacd723f\",\n        \"href\": \"/api/sn_ni_core/resource/f5d1c429405dc910f8772175cacd723f\"\n      }\n    },\n    {\n      \"relationshipType\": \"Contains::Contained by\",\n      \"resource\": {\n        \"id\": \"d6e100e5405dc910f8772175cacd72e9\",\n        \"href\": \"/api/sn_ni_core/resource/d6e100e5405dc910f8772175cacd72e9\"\n      }\n    },\n    {\n      \"relationshipType\": \"Contained by::Contains\",\n      \"resource\": {\n        \"id\": \"5b10e8154015c910f8772175cacd724d\",\n        \"href\": \"/api/sn_ni_core/resource/5b10e8154015c910f8772175cacd724d\"\n      }\n    }\n  ],\n  \"resourceSpecification\": {\n    \"id\": \"0ae34df1e5528110f877657a33339119\",\n    \"href\": \"/api/now/table/cmdb_model/0ae34df1e5528110f877657a33339119\",\n    \"@referredType\": \"EquipmentModel\"\n  },\n  \"@type\": \"cmdb_ci_ni_telco_equipment\"\n}\n```\n\n## Resource Inventory Open API - POST /sn\\_ni\\_core/resource\n\nCreates a resource record.\n\n### URL format\n\nDefault URL: `/api/sn_ni_core/resource`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"type-entry\">\n\n@type\n\n</td><td id=\"type-descr-entry\">\n\nType of resource.Valid values:\n\n-   `cmdb_ci_cable` \\(Cable\\)\n-   `cmdb_ci_interface_card` \\(Interface Card\\)\n-   `cmdb_ci_ip_address` \\(IP Address\\)\n-   `cmdb_ci_ni_logical_path` \\(Logical Connection\\)\n-   `cmdb_ci_ni_interface` \\(Network Interface\\)\n-   `cmdb_ci_ni_site` \\(Network Site\\)\n-   `cmdb_ci_ni_physical_link` \\(Physical Connection\\)\n-   `cmdb_ci_strand` \\(Strand\\)\n-   `cmdb_ci_topology` \\(Topology\\)\n-   Name of a table specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, or name of a table that extends the specified tables.\n-   Name of a table that extends Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n\nData type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the resource.Data type: String\n\n</td></tr><tr><td id=\"name-entry\">\n\nname\n\n</td><td>\n\nRequired.Name of the resource.\n\nData type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes about the resource. Data type: Array of Objects\n\n```\n\"note\": [\n   {\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td id=\"note-text-entry\">\n\nnote.text\n\n</td><td>\n\nRequired if the **note** parameter is used.The note text.\n\nData type: String\n\n</td></tr><tr><td id=\"place-entry\">\n\nplace\n\n</td><td>\n\nRequired for Equipment Holder resources where Container Type is Cage, Bay, Cabinet, Rack, Line Up, or Inventory Model Bundle. Required for all Equipment resources.Network site for the resource.\n\nThis parameter is not supported for Network Site, Physical Connection, or Logical Connection resources.\n\nData type: Object\n\n```\n\"place\": {\n   \"@referredType\": \"String\",\n   \"href\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.@referredType\n\n</td><td>\n\nType of place. This value is always `GeographicAddress`.Data type: String\n\n</td></tr><tr><td>\n\nplace.href\n\n</td><td>\n\nRelative link to the place record.Data type: String\n\n</td></tr><tr><td id=\"place-id-entry\">\n\nplace.id\n\n</td><td>\n\nRequired if the **place** parameter is used.Sys\\_id of the place record.\n\nData type: String\n\nTable: Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n\n</td></tr><tr><td id=\"related-party-parm\">\n\nrelatedParty\n\n</td><td>\n\nDetails about contacts for the resource.\n\nData type: Array of Objects\n\n```\n\"relatedParty\": [\n   {\n      \"@referredType\": \"String\",\n      \"href\": \"String\",\n      \"id\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party. Located in the in the **Type** field.Data type: String\n\nTable: In the type field of Group \\[sys\\_user\\_group\\] table.\n\n</td></tr><tr><td>\n\nrelatedParty.href\n\n</td><td>\n\nRelative link to the related party record.Data type: String\n\n</td></tr><tr><td id=\"rel-party-id-parm\">\n\nrelatedParty.id\n\n</td><td>\n\nRequired if the **relatedParty** parameter is used.Sys\\_id of the related party record.\n\nData type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nresourceCharacteristic\n\n</td><td>\n\nList of characteristics of the resource. The following resource types require specific resource characteristics. -   For Physical Connection and Logical Connection resources, a `Port A` or `Port Z` characteristic is required. If the Lifecycle Stage Status of the resource is In Use, both `Port A` and `Port Z` are required.\n-   For Equipment Holder resources, a `Container Type` characteristic is required.\n\nData type: Array of Objects\n\n```\n\"resourceCharacteristic\": [\n   {\n      \"name\": \"String\",\n      \"value\": \"String\",\n      \"valueType\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td id=\"res-char-name-parm\">\n\nresourceCharacteristic.name\n\n</td><td>\n\nRequired if the **resourceCharacteristic** parameter is used.Field name from the resource table specified by the **@type** parameter. You can't use the fields model\\_id, name, network\\_site, operation\\_notes, operational\\_status, short\\_description, start\\_date, or any sys\\_ prefixed fields such as sys\\_id.\n\nData type: String\n\n</td></tr><tr><td id=\"res-char-value-parm\">\n\nresourceCharacteristic.value\n\n</td><td>\n\nRequired if the **resourceCharacteristic** parameter is used.The value of the characteristic.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceCharacteristic.valueType\n\n</td><td>\n\nType of value.Valid values:\n\n-   boolean\n-   datetime\n-   float\n-   integer\n-   ph\\_number\n-   reference\n-   string\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship\n\n</td><td>\n\nList of related resources. The following resource types require specific related resources. -   For Interface Card resources, a relationship to an Equipment Holder resource where Container Type is Slot or Sub Slot is required.\n-   For Network Interface resources, a relationship to an Equipment or Interface Card resource is required.\n-   For Equipment Holder resources where Container Type is Slot or Sub Slot, a relationship to an Equipment or Interface Card resource is required.\n\nData type: Array\n\n```\n\"resourceRelationship\": [\n  {\n    \"relationshipType\": \"String\",\n    \"resource\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td id=\"rel-type-parm\">\n\nresourceRelationship.relationshipType\n\n</td><td>\n\nRequired if the **resourceRelationship** parameter is used.Type of relationship between the two resources in the format `[this resource descriptor]::[related resource descriptor]`. For example, `Contains::Contained by` indicates that the related resource is the child of this resource.\n\nValid values for the descriptors are located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table in the **Parent descriptor** and **Child descriptor** columns.\n\nData type: String\n\n</td></tr><tr><td id=\"rel-resource-parm\">\n\nresourceRelationship.resource\n\n</td><td>\n\nRequired if the **resourceRelationship** parameter is used.Details about the related resource. The related resource must be one of the following resource types.\n\n-   Cable\n-   Equipment\n-   Equipment Holder\n-   Interface Card\n-   Logical Connection\n-   Network Interface\n-   Network Site\n-   Physical Connection\n-   Strand\n-   Topology\n\nData type: Object\n\n```\n\"resource\": {\n   \"id\": \"String\",\n   \"href\": \"String\"\n}\n```\n\n</td></tr><tr><td id=\"rel-resource-id-parm\">\n\nresourceRelationship.resource.id\n\n</td><td>\n\nRequired if the **resourceRelationship** parameter is used.Sys\\_id of the related resource. Located in one of the following tables depending on the type of related resource.\n\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship.resource.href\n\n</td><td>\n\nRelative link to the related resource record.Data type: String\n\n</td></tr><tr><td>\n\nresourceSpecification\n\n</td><td>\n\nResource specification. Data type: Object\n\n```\n\"resourceSpecification\": {\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td id=\"res-spec-id-parm\">\n\nresourceSpecification.id\n\n</td><td>\n\nRequired if the **resourceSpecification** parameter is used.Sys\\_id of the associated model for the resource. Located in one of the following tables depending on the type of model.\n\n-   Cable Models \\[sn\\_ent\\_cable\\_model\\]\n-   Equipment Holder Models \\[sn\\_ent\\_nw\\_holder\\_model\\]\n-   Equipment Models \\[sn\\_ent\\_nw\\_equipment\\_model\\]\n-   Interface Card Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Logical Connection Models \\[sn\\_ent\\_logical\\_nw\\_connection\\_model\\]\n-   Network Interface Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Physical Connection Models \\[sn\\_ent\\_physical\\_nw\\_connection\\_model\\]\n-   Strand Models \\[sn\\_ent\\_strand\\_model\\]\n-   Topology Models \\[sn\\_ent\\_network\\_topology\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nstartOperatingDate\n\n</td><td>\n\nDate and time that the resource first started operating.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n|Location|URL of the created resource.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|215|Request successfully received for processing. The request will be completed asynchronously.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n\n### Response body parameters \\(JSON\\)\n\n<table id=\"table_okb_1rw_f5b\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td id=\"d5923e138\">\n\n@type\n\n</td><td id=\"d5923e141\">\n\nType of resource.Valid values:\n\n-   `cmdb_ci_cable` \\(Cable\\)\n-   `cmdb_ci_interface_card` \\(Interface Card\\)\n-   `cmdb_ci_ip_address` \\(IP Address\\)\n-   `cmdb_ci_ni_logical_path` \\(Logical Connection\\)\n-   `cmdb_ci_ni_interface` \\(Network Interface\\)\n-   `cmdb_ci_ni_site` \\(Network Site\\)\n-   `cmdb_ci_ni_physical_link` \\(Physical Connection\\)\n-   `cmdb_ci_strand` \\(Strand\\)\n-   `cmdb_ci_topology` \\(Topology\\)\n-   Name of a table specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, or name of a table that extends the specified tables.\n-   Name of a table that extends Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n\nData type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the resource.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to the resource record.Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the resource. Located in one of the following tables depending on the type of resource.-   Cable \\[cmdb\\_ci\\_cable\\]\n-   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   IP Address \\[cmdb\\_ci\\_ip\\_address\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Strand \\[cmdb\\_ci\\_strand\\]\n-   Topology \\[cmdb\\_ci\\_topology\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n-   Child tables that extend any of the following tables:\n    -   Cable \\[cmdb\\_ci\\_cable\\]\n    -   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n    -   Strand \\[cmdb\\_ci\\_strand\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the resource.\n\nData type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes about the resource. Data type: Array of Objects\n\n```\n\"note\": [\n   {\n      \"text\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nThe note text.\n\nData type: String\n\n</td></tr><tr><td>\n\nplace\n\n</td><td>\n\nNetwork site for the resource.\n\nThis parameter is not supported for Network Site, Physical Connection, or Logical Connection resources.\n\nData type: Object\n\n```\n\"place\": {\n   \"@referredType\": \"String\",\n   \"href\": \"String\",\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nplace.@referredType\n\n</td><td>\n\nType of place. This value is always `GeographicAddress`.Data type: String\n\n</td></tr><tr><td>\n\nplace.href\n\n</td><td>\n\nRelative link to the place record.Data type: String\n\n</td></tr><tr><td>\n\nplace.id\n\n</td><td>\n\nSys\\_id of the place record.\n\nData type: String\n\nTable: Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n\n</td></tr><tr><td id=\"d5923e405\">\n\nrelatedParty\n\n</td><td>\n\nDetails about contacts for the resource.\n\nData type: Array of Objects\n\n```\n\"relatedParty\": [\n   {\n      \"@referredType\": \"String\",\n      \"href\": \"String\",\n      \"id\": \"String\",\n      \"role\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of related party. Located in the in the **Type** field.Data type: String\n\nTable: In the type field of Group \\[sys\\_user\\_group\\] table.\n\n</td></tr><tr><td>\n\nrelatedParty.href\n\n</td><td>\n\nRelative link to the related party record.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the related party record.\n\nData type: String\n\nTable: Group \\[sys\\_user\\_group\\]\n\n</td></tr><tr><td>\n\nresourceCharacteristic\n\n</td><td>\n\nList of characteristics of the resource. The following resource types require specific resource characteristics. -   For Physical Connection and Logical Connection resources, a `Port A` or `Port Z` characteristic is required. If the Lifecycle Stage Status of the resource is In Use, both `Port A` and `Port Z` are required.\n-   For Equipment Holder resources, a `Container Type` characteristic is required.\n\nData type: Array of Objects\n\n```\n\"resourceCharacteristic\": [\n   {\n      \"name\": \"String\",\n      \"value\": \"String\",\n      \"valueType\": \"String\"\n   }\n]\n```\n\n</td></tr><tr><td>\n\nresourceCharacteristic.name\n\n</td><td>\n\nField name from the resource table specified by the **@type** parameter. You can't use the fields model\\_id, name, network\\_site, operation\\_notes, operational\\_status, short\\_description, start\\_date, or any sys\\_ prefixed fields such as sys\\_id.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceCharacteristic.value\n\n</td><td>\n\nThe value of the characteristic.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceCharacteristic.valueType\n\n</td><td>\n\nType of value.Valid values:\n\n-   boolean\n-   datetime\n-   float\n-   integer\n-   ph\\_number\n-   reference\n-   string\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship\n\n</td><td>\n\nList of related resources. The following resource types require specific related resources. -   For Interface Card resources, a relationship to an Equipment Holder resource where Container Type is Slot or Sub Slot is required.\n-   For Network Interface resources, a relationship to an Equipment or Interface Card resource is required.\n-   For Equipment Holder resources where Container Type is Slot or Sub Slot, a relationship to an Equipment or Interface Card resource is required.\n\nData type: Array\n\n```\n\"resourceRelationship\": [\n  {\n    \"relationshipType\": \"String\",\n    \"resource\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresourceRelationship.relationshipType\n\n</td><td>\n\nType of relationship between the two resources in the format `[this resource descriptor]::[related resource descriptor]`. For example, `Contains::Contained by` indicates that the related resource is the child of this resource.\n\nValid values for the descriptors are located in the CI Relationship Type \\[cmdb\\_rel\\_type\\] table in the **Parent descriptor** and **Child descriptor** columns.\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship.resource\n\n</td><td>\n\nDetails about the related resource. The related resource must be one of the following resource types.\n\n-   Cable\n-   Equipment\n-   Equipment Holder\n-   Interface Card\n-   Logical Connection\n-   Network Interface\n-   Network Site\n-   Physical Connection\n-   Strand\n-   Topology\n\nData type: Object\n\n```\n\"resource\": {\n   \"id\": \"String\",\n   \"href\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresourceRelationship.resource.id\n\n</td><td>\n\nSys\\_id of the related resource. Located in one of the following tables depending on the type of related resource.\n\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nresourceRelationship.resource.href\n\n</td><td>\n\nRelative link to the related resource record.Data type: String\n\n</td></tr><tr><td>\n\nresourceSpecification\n\n</td><td>\n\nResource specification. Data type: Object\n\n```\n\"resourceSpecification\": {\n   \"id\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nresourceSpecification.id\n\n</td><td>\n\nSys\\_id of the associated model for the resource. Located in one of the following tables depending on the type of model.\n\n-   Cable Models \\[sn\\_ent\\_cable\\_model\\]\n-   Equipment Holder Models \\[sn\\_ent\\_nw\\_holder\\_model\\]\n-   Equipment Models \\[sn\\_ent\\_nw\\_equipment\\_model\\]\n-   Interface Card Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Logical Connection Models \\[sn\\_ent\\_logical\\_nw\\_connection\\_model\\]\n-   Network Interface Models \\[sn\\_ent\\_nw\\_interface\\_model\\]\n-   Physical Connection Models \\[sn\\_ent\\_physical\\_nw\\_connection\\_model\\]\n-   Strand Models \\[sn\\_ent\\_strand\\_model\\]\n-   Topology Models \\[sn\\_ent\\_network\\_topology\\_model\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nstartOperatingDate\n\n</td><td>\n\nDate and time that the resource first started operating.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example creates a network site in Denver, Colorado.\n\n```\ncurl \"https://instance.service-now.com/api/sn_ni_core/resource\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n  \\\"name\\\": \\\"DENVER CO CO/HUB\\\",\n  \\\"note\\\": [\n    {\n      \\\"text\\\": \\\"Cisco maintenance team onsite June 22, 2022.\\\"\n    }\n  ],\n  \\\"resourceCharacteristic\\\": [\n    {\n      \\\"name\\\": \\\"attested\\\",\n      \\\"valueType\\\": \\\"boolean\\\",\n      \\\"value\\\": \\\"false\\\"\n    },\n    {\n      \\\"name\\\": \\\"can_print\\\",\n      \\\"valueType\\\": \\\"boolean\\\",\n      \\\"value\\\": \\\"false\\\"\n    },\n    {\n      \\\"name\\\": \\\"clli_code\\\",\n      \\\"valueType\\\": \\\"string\\\",\n      \\\"value\\\": \\\"DNVRCOMR02T\\\"\n    },\n    {\n      \\\"name\\\": \\\"comments\\\",\n      \\\"valueType\\\": \\\"string\\\",\n      \\\"value\\\": \\\"Site is scheduled for diesel generator test July 13, 2022 at 9am CST.\\\"\n    },\n    {\n      \\\"name\\\": \\\"cost_cc\\\",\n      \\\"valueType\\\": \\\"string\\\",\n      \\\"value\\\": \\\"USD\\\"\n    },\n    {\n      \\\"name\\\": \\\"county\\\",\n      \\\"valueType\\\": \\\"string\\\",\n      \\\"value\\\": \\\"DENVER\\\"\n    },\n    {\n      \\\"name\\\": \\\"data_center_code\\\",\n      \\\"valueType\\\": \\\"string\\\",\n      \\\"value\\\": \\\"DNVR00564\\\"\n    },\n    {\n      \\\"name\\\": \\\"fault_count\\\",\n      \\\"valueType\\\": \\\"integer\\\",\n      \\\"value\\\": \\\"0\\\"\n    },\n    {\n      \\\"name\\\": \\\"install_status\\\",\n      \\\"valueType\\\": \\\"integer\\\",\n      \\\"value\\\": \\\"1\\\"\n    },\n    {\n      \\\"name\\\": \\\"life_cycle_stage\\\",\n      \\\"valueType\\\": \\\"reference\\\",\n      \\\"value\\\": \\\"Operational\\\"\n    },\n    {\n      \\\"name\\\": \\\"life_cycle_stage_status\\\",\n      \\\"valueType\\\": \\\"reference\\\",\n      \\\"value\\\": \\\"In Use\\\"\n    },\n    {\n      \\\"name\\\": \\\"location\\\",\n      \\\"valueType\\\": \\\"reference\\\",\n      \\\"value\\\": \\\"25ab8f300a0a0bb300d99f69c3ac24cd\\\"\n    },\n    {\n      \\\"name\\\": \\\"managed_by\\\",\n      \\\"valueType\\\": \\\"reference\\\",\n      \\\"value\\\": \\\"b0f31e5673500010c2e7660c4cf6a711\\\"\n    },\n    {\n      \\\"name\\\": \\\"monitor\\\",\n      \\\"valueType\\\": \\\"boolean\\\",\n      \\\"value\\\": \\\"false\\\"\n    },\n    {\n      \\\"name\\\": \\\"network_domain\\\",\n      \\\"valueType\\\": \\\"string\\\",\n      \\\"value\\\": \\\"core\\\"\n    },\n    {\n      \\\"name\\\": \\\"ni_type\\\",\n      \\\"valueType\\\": \\\"reference\\\",\n      \\\"value\\\": \\\"8e8f3770404d0110f8772175cacd7204\\\"\n    },\n    {\n      \\\"name\\\": \\\"pots_number\\\",\n      \\\"valueType\\\": \\\"ph_number\\\",\n      \\\"value\\\": \\\"(214) 555-1234\\\"\n    },\n    {\n      \\\"name\\\": \\\"skip_sync\\\",\n      \\\"valueType\\\": \\\"boolean\\\",\n      \\\"value\\\": \\\"false\\\"\n    },\n    {\n      \\\"name\\\": \\\"third_party_ownership\\\",\n      \\\"valueType\\\": \\\"boolean\\\",\n      \\\"value\\\": \\\"false\\\"\n    },\n    {\n      \\\"name\\\": \\\"unverified\\\",\n      \\\"valueType\\\": \\\"boolean\\\",\n      \\\"value\\\": \\\"false\\\"\n    }\n  ],\n  \\\"resourceRelationship\\\": [\n    {\n      \\\"relationshipType\\\": \\\"Connects to::Connected by\\\",\n      \\\"resource\\\": {\n        \\\"id\\\": \\\"e6f6df8d4051c910f8772175cacd72b2\\\",\n        \\\"href\\\": \\\"/api/sn_ni_core/resource/e6f6df8d4051c910f8772175cacd72b2\\\"\n      }\n    },\n    {\n      \\\"relationshipType\\\": \\\"Connects to::Connected by\\\",\n      \\\"resource\\\": {\n        \\\"id\\\": \\\"0ac19bc54051c910f8772175cacd724b\\\",\n        \\\"href\\\": \\\"/api/sn_ni_core/resource/0ac19bc54051c910f8772175cacd724b\\\"\n      }\n    },\n    {\n      \\\"relationshipType\\\": \\\"Connects to::Connected by\\\",\n      \\\"resource\\\": {\n        \\\"id\\\": \\\"997e5c11875851109a9c0f65dabb35ac\\\",\n        \\\"href\\\": \\\"/api/sn_ni_core/resource/997e5c11875851109a9c0f65dabb35ac\\\"\n      }\n    },\n    {\n      \\\"relationshipType\\\": \\\"Contains::Contained by\\\",\n      \\\"resource\\\": {\n        \\\"id\\\": \\\"5b10e8154015c910f8772175cacd724d\\\",\n        \\\"href\\\": \\\"/api/sn_ni_core/resource/5b10e8154015c910f8772175cacd724d\\\"\n      }\n    },\n    {\n      \\\"relationshipType\\\": \\\"Contains::Contained by\\\",\n      \\\"resource\\\": {\n        \\\"id\\\": \\\"57e73b51405dc910f8772175cacd726e\\\",\n        \\\"href\\\": \\\"/api/sn_ni_core/resource/57e73b51405dc910f8772175cacd726e\\\"\n      }\n    },\n    {\n      \\\"relationshipType\\\": \\\"Contains::Contained by\\\",\n      \\\"resource\\\": {\n        \\\"id\\\": \\\"bf58f751405dc910f8772175cacd72e8\\\",\n        \\\"href\\\": \\\"/api/sn_ni_core/resource/bf58f751405dc910f8772175cacd72e8\\\"\n      }\n    },\n    {\n      \\\"relationshipType\\\": \\\"Contains::Contained by\\\",\n      \\\"resource\\\": {\n        \\\"id\\\": \\\"b5711e31405d0d10f8772175cacd7232\\\",\n        \\\"href\\\": \\\"/api/sn_ni_core/resource/b5711e31405d0d10f8772175cacd7232\\\"\n      }\n    },\n    {\n      \\\"relationshipType\\\": \\\"Contains::Contained by\\\",\n      \\\"resource\\\": {\n        \\\"id\\\": \\\"ed811e31405d0d10f8772175cacd72d3\\\",\n        \\\"href\\\": \\\"/api/sn_ni_core/resource/ed811e31405d0d10f8772175cacd72d3\\\"\n      }\n    },\n    {\n      \\\"relationshipType\\\": \\\"Contains::Contained by\\\",\n      \\\"resource\\\": {\n        \\\"id\\\": \\\"d74937d1405dc910f8772175cacd7288\\\",\n        \\\"href\\\": \\\"/api/sn_ni_core/resource/d74937d1405dc910f8772175cacd7288\\\"\n      }\n    },\n    {\n      \\\"relationshipType\\\": \\\"Contains::Contained by\\\",\n      \\\"resource\\\": {\n        \\\"id\\\": \\\"da0df2e3e4e64510f877e70ec9bcacc6\\\",\n        \\\"href\\\": \\\"/api/sn_ni_core/resource/da0df2e3e4e64510f877e70ec9bcacc6\\\"\n      }\n    }\n  ],\n  \\\"@type\\\": \\\"cmdb_ci_ni_site\\\"\n}\" \\\n--user 'username':'password'\n```\n\nResponse body.\n\n```\n{\n   \"href\": \"/api/sn_ni_core/resource/00399f0aed349150f877305f29f832b2\",\n   \"id\": \"00399f0aed349150f877305f29f832b2\",\n   \"name\": \"DENVER CO CO/HUB\",\n   \"note\": [\n      {\n         \"text\": \"Cisco maintenance team onsite June 22, 2022.\"\n      }\n   ],\n   \"resourceCharacteristic\": [\n      {\n         \"name\": \"altitude_units\",\n         \"valueType\": \"string\",\n         \"value\": \"feet\"\n      },\n      {\n         \"name\": \"attestation_status\",\n         \"valueType\": \"string\",\n         \"value\": \"Not Yet Reviewed\"\n      },\n      {\n         \"name\": \"attested\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"can_print\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"clli_code\",\n         \"valueType\": \"string\",\n         \"value\": \"DNVRCOMR02T\"\n      },\n      {\n         \"name\": \"comments\",\n         \"valueType\": \"string\",\n         \"value\": \"Site is scheduled for diesel generator test July 13, 2022 at 9am CST.\"\n      },\n      {\n         \"name\": \"cost_cc\",\n         \"valueType\": \"string\",\n         \"value\": \"USD\"\n      },\n      {\n         \"name\": \"county\",\n         \"valueType\": \"string\",\n         \"value\": \"DENVER\"\n      },\n      {\n         \"name\": \"data_center_code\",\n         \"valueType\": \"string\",\n         \"value\": \"DNVR00564\"\n      },\n      {\n         \"name\": \"discovery_source\",\n         \"valueType\": \"string\",\n         \"value\": \"Resource Inventory Open API\"\n      },\n      {\n         \"name\": \"fault_count\",\n         \"valueType\": \"integer\",\n         \"value\": \"0\"\n      },\n      {\n         \"name\": \"first_discovered\",\n         \"valueType\": \"datetime\",\n         \"value\": \"2022-07-21T19:38:04.000Z\"\n      },\n      {\n         \"name\": \"install_status\",\n         \"valueType\": \"integer\",\n         \"value\": \"1\"\n      },\n      {\n         \"name\": \"last_discovered\",\n         \"valueType\": \"datetime\",\n         \"value\": \"2022-07-21T19:38:04.000Z\"\n      },\n      {\n         \"name\": \"life_cycle_stage\",\n         \"valueType\": \"reference\",\n         \"value\": \"Operational\"\n      },\n      {\n         \"name\": \"life_cycle_stage_status\",\n         \"valueType\": \"reference\",\n         \"value\": \"In Use\"\n      },\n      {\n         \"name\": \"location\",\n         \"valueType\": \"reference\",\n         \"value\": \"25ab8f300a0a0bb300d99f69c3ac24cd\"\n      },\n      {\n         \"name\": \"managed_by\",\n         \"valueType\": \"reference\",\n         \"value\": \"b0f31e5673500010c2e7660c4cf6a711\"\n      },\n      {\n         \"name\": \"monitor\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"network_domain\",\n         \"valueType\": \"string\",\n         \"value\": \"core\"\n      },\n      {\n         \"name\": \"ni_type\",\n         \"valueType\": \"reference\",\n         \"value\": \"8e8f3770404d0110f8772175cacd7204\"\n      },\n      {\n         \"name\": \"pots_number\",\n         \"valueType\": \"ph_number\",\n         \"value\": \"(214) 555-1234\"\n      },\n      {\n         \"name\": \"skip_sync\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"third_party_ownership\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      },\n      {\n         \"name\": \"unverified\",\n         \"valueType\": \"boolean\",\n         \"value\": \"false\"\n      }\n   ],\n   \"resourceRelationship\": [\n      {\n         \"relationshipType\": \"Connects to::Connected by\",\n         \"resource\": {\n            \"id\": \"e6f6df8d4051c910f8772175cacd72b2\",\n            \"href\": \"/api/sn_ni_core/resource/e6f6df8d4051c910f8772175cacd72b2\"\n         }\n      },\n      {\n         \"relationshipType\": \"Connects to::Connected by\",\n         \"resource\": {\n            \"id\": \"0ac19bc54051c910f8772175cacd724b\",\n            \"href\": \"/api/sn_ni_core/resource/0ac19bc54051c910f8772175cacd724b\"\n         }\n      },\n      {\n         \"relationshipType\": \"Connects to::Connected by\",\n         \"resource\": {\n            \"id\": \"997e5c11875851109a9c0f65dabb35ac\",\n            \"href\": \"/api/sn_ni_core/resource/997e5c11875851109a9c0f65dabb35ac\"\n         }\n      },\n      {\n         \"relationshipType\": \"Contains::Contained by\",\n         \"resource\": {\n            \"id\": \"5b10e8154015c910f8772175cacd724d\",\n            \"href\": \"/api/sn_ni_core/resource/5b10e8154015c910f8772175cacd724d\"\n         }\n      },\n      {\n         \"relationshipType\": \"Contains::Contained by\",\n         \"resource\": {\n            \"id\": \"57e73b51405dc910f8772175cacd726e\",\n            \"href\": \"/api/sn_ni_core/resource/57e73b51405dc910f8772175cacd726e\"\n         }\n      },\n      {\n         \"relationshipType\": \"Contains::Contained by\",\n         \"resource\": {\n            \"id\": \"bf58f751405dc910f8772175cacd72e8\",\n            \"href\": \"/api/sn_ni_core/resource/bf58f751405dc910f8772175cacd72e8\"\n         }\n      },\n      {\n         \"relationshipType\": \"Contains::Contained by\",\n         \"resource\": {\n            \"id\": \"b5711e31405d0d10f8772175cacd7232\",\n            \"href\": \"/api/sn_ni_core/resource/b5711e31405d0d10f8772175cacd7232\"\n         }\n      },\n      {\n         \"relationshipType\": \"Contains::Contained by\",\n         \"resource\": {\n            \"id\": \"ed811e31405d0d10f8772175cacd72d3\",\n            \"href\": \"/api/sn_ni_core/resource/ed811e31405d0d10f8772175cacd72d3\"\n         }\n      },\n      {\n         \"relationshipType\": \"Contains::Contained by\",\n         \"resource\": {\n            \"id\": \"d74937d1405dc910f8772175cacd7288\",\n            \"href\": \"/api/sn_ni_core/resource/d74937d1405dc910f8772175cacd7288\"\n         }\n      },\n      {\n         \"relationshipType\": \"Contains::Contained by\",\n         \"resource\": {\n            \"id\": \"da0df2e3e4e64510f877e70ec9bcacc6\",\n            \"href\": \"/api/sn_ni_core/resource/da0df2e3e4e64510f877e70ec9bcacc6\"\n         }\n      }\n   ],\n   \"@type\": \"cmdb_ci_ni_site\"\n}\n```\n\n## Resource Inventory Open API - POST /sn\\_ni\\_core/resourceinventoryviatemplate\n\nCreates a resource configuration item \\(CI\\) and related CI hierarchy based on a template.\n\nBefore calling this endpoint, you must create an inventory template in the Inventory Template \\[sn\\_ni\\_core\\_inventory\\_template\\] table. You can define the entire hierarchy of related CIs in an inventory template. You can then create all of the CIs and relationships via a single API request.\n\n### URL format\n\nDefault URL: `/api/sn_ni_core/resourceinventoryviatemplate`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\noverrides\n\n</td><td>\n\nList of columns to override and the values to use.Data type: Object\n\n```\n\"overrides\": {\n  \"column_name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\noverrides.column\\_name\n\n</td><td>\n\nRequired if the **overrides** parameter is used. Column name and value.Data type: String\n\n</td></tr><tr><td>\n\nparentId\n\n</td><td>\n\nRequired. Sys\\_id of the parent CI. Located in one of the following tables depending on the type of parent CI. -   Cable \\[cmdb\\_ci\\_cable\\]\n-   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n-   Interface Card \\[cmdb\\_ci\\_interface\\_card\\]\n-   IP Address \\[cmdb\\_ci\\_ip\\_address\\]\n-   Logical Connection \\[cmdb\\_ci\\_ni\\_logical\\_path\\]\n-   Network Interface \\[cmdb\\_ci\\_ni\\_interface\\]\n-   Network Site \\[cmdb\\_ci\\_ni\\_site\\]\n-   Physical Connection \\[cmdb\\_ci\\_ni\\_physical\\_link\\]\n-   Strand \\[cmdb\\_ci\\_strand\\]\n-   Topology \\[cmdb\\_ci\\_topology\\]\n-   Tables specified by the **sn\\_ni\\_core.equipment\\_tables** sys\\_property, and any tables that extend the specified tables.\n-   Tables that extend Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\].\n-   Child tables that extend any of the following tables:\n    -   Cable \\[cmdb\\_ci\\_cable\\]\n    -   Equipment Holder \\[cmdb\\_ci\\_equipment\\_holder\\]\n    -   Strand \\[cmdb\\_ci\\_strand\\]\n\nData type: String\n\n</td></tr><tr><td>\n\ntemplat
[...]
